# Mainboard-specific documentation

This section contains documentation about coreboot on specific mainboards.

## ASUS

- [P8H61-M LX](asus/p8h61-m_lx.md)

## ASRock

- [H81M-HDS](asrock/h81m-hds.md)

## Cavium

- [CN81XX EVB SFF](cavium/cn8100_sff_evb.md)

## Emulation

The boards in this section are not real mainboards, but emulators.

- [Spike RISC-V emulator](emulation/spike-riscv.md)
- [Qemu RISC-V emulator](emulation/qemu-riscv.md)

## Intel

- [DG43GT](intel/dg43gt.md)
- [IceLake RVP](intel/icelake_rvp.md)
- [KBLRVP11](intel/kblrvp11.md)

## Foxconn

- [D41S](foxconn/d41s.md)

## Gigabyte

- [GA-H61M-S2PV](gigabyte/ga-h61m-s2pv.md)

## Google

- [Dragonegg](google/dragonegg.md)

## Open Cellular

- [Elgon](opencellular/elgon.md)

## HP

- [Compaq 8200 Elite SFF](hp/compaq_8200_sff.md)

## Lenovo

- [Hardware Maintenance Manual of ThinkPads](lenovo/thinkpad_hmm.md)
- [T4xx common](lenovo/t4xx_series.md)
- [X2xx common](lenovo/x2xx_series.md)

### Sandy Bridge series

- [T420](lenovo/t420.md)
- [T420 / T520 / X220 / T420s / W520 common](lenovo/xx20_series.md)
- [x1](lenovo/x1.md)

### Ivy Bridge series

- [T430](lenovo/t430.md)
- [T530](lenovo/w530.md)
- [W530](lenovo/w530.md)
- [T430 / T530 / X230 / W530 common](lenovo/xx30_series.md)
- [T431s](lenovo/t431s.md)

## SiFive

- [SiFive HiFive Unleashed](sifive/hifive-unleashed.md)

## Supermicro

- [X10SLM+-F](supermicro/x10slm-f.md)
